> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create New Anchorage Custody Wallet

> Creates named wallets in the org's Anchorage vault, stores them as custody wallets, then syncs Anchorage metadata.

Not available to API keys yet. It will need `wallets:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/create-new-anchorage-custody-wallet
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/create-new-anchorage-custody-wallet:
    post:
      operationId: createNewAnchorageCustodyWallet
      summary: Create New Anchorage Custody Wallet
      description: >-
        Creates named wallets in the org's Anchorage vault, stores them as
        custody wallets, then syncs Anchorage metadata.


        Not available to API keys yet. It will need `wallets:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateNewAnchorageCustodyWalletRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateNewAnchorageCustodyWalletResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateNewAnchorageCustodyWalletRequest:
      type: object
      properties:
        walletNames:
          type: array
          items:
            type: string
          minItems: 1
      required:
        - walletNames
    CreateNewAnchorageCustodyWalletResponse:
      type: object
      properties:
        success:
          type: boolean
        wallets:
          type: array
          items:
            type: object
            properties:
              custodyWalletID:
                type: string
              custodyProviderID:
                type: string
              orgID:
                type: string
              walletLink:
                type:
                  - string
                  - 'null'
              walletAddress:
                type: string
              walletName:
                type: string
              networkType:
                type: string
              createdAt:
                type: string
              updatedAt:
                type: string
              deletedAt:
                type:
                  - string
                  - 'null'
              balanceAmount:
                type:
                  - string
                  - 'null'
              balanceUpdatedAt:
                type:
                  - string
                  - 'null'
              gasBalance:
                type:
                  - string
                  - 'null'
              gasBalanceUpdatedAt:
                type:
                  - string
                  - 'null'
              updatingBalance:
                type:
                  - boolean
                  - 'null'
              legacyMigratedAt:
                type:
                  - string
                  - 'null'
              legacyModelID:
                type:
                  - string
                  - 'null'
              parentCustodyWalletID:
                type:
                  - string
                  - 'null'
            required:
              - custodyWalletID
              - custodyProviderID
              - orgID
              - walletLink
              - walletAddress
              - walletName
              - networkType
              - createdAt
              - updatedAt
              - deletedAt
              - balanceAmount
              - balanceUpdatedAt
              - gasBalance
              - gasBalanceUpdatedAt
              - updatingBalance
              - legacyMigratedAt
              - legacyModelID
              - parentCustodyWalletID
      required:
        - success
        - wallets
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
